Observability
Resolve operation, execution, job, event, schedule or storage identifiers to recorded execution roots.
Resolve operation, execution, job, event, schedule or storage identifiers to recorded execution roots. The request is scoped to the authenticated RevoEngine instance and operation policy.
POST
/
api
/
v1
/
observability
/
resolve
Resolve operation, execution, job, event, schedule or storage identifiers to recorded execution roots.
curl --request POST \
--url https://api.revoengine.com/api/v1/observability/resolve \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"anchor": {
"id": "<string>"
}
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({anchor: {id: '<string>'}})
};
fetch('https://api.revoengine.com/api/v1/observability/resolve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/observability/resolve"
payload = { "anchor": { "id": "<string>" } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": [
{
"type": "AUTO",
"id": "<string>",
"rootExecutionId": "<string>",
"executionId": "<string>",
"nodeId": "<string>"
}
],
"nextCursor": "<string>",
"meta": {
"snapshotAt": "<string>",
"from": "<string>",
"to": "<string>",
"source": "NORMALIZED",
"coverage": "COMPLETE",
"warnings": [
"<string>"
],
"bytesProcessed": 123,
"maximumBytesBilled": 123,
"investigationId": "<string>",
"projectionWatermark": "<string>"
}
}Authorizations
Bearer JWT token or API Key (sk-*).
Body
application/json
Show child attributes
Show child attributes
UTC inclusive lower bound. Defaults to the preceding 24 hours.
UTC exclusive upper bound. Defaults to now. A single query may cover at most 7 days.
Show child attributes
Show child attributes
Required range:
1 <= x <= 200Opaque investigation budget identifier returned by this API.
Last modified on October 5, 2026
⌘I
Resolve operation, execution, job, event, schedule or storage identifiers to recorded execution roots.
curl --request POST \
--url https://api.revoengine.com/api/v1/observability/resolve \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"anchor": {
"id": "<string>"
}
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({anchor: {id: '<string>'}})
};
fetch('https://api.revoengine.com/api/v1/observability/resolve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/observability/resolve"
payload = { "anchor": { "id": "<string>" } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": [
{
"type": "AUTO",
"id": "<string>",
"rootExecutionId": "<string>",
"executionId": "<string>",
"nodeId": "<string>"
}
],
"nextCursor": "<string>",
"meta": {
"snapshotAt": "<string>",
"from": "<string>",
"to": "<string>",
"source": "NORMALIZED",
"coverage": "COMPLETE",
"warnings": [
"<string>"
],
"bytesProcessed": 123,
"maximumBytesBilled": 123,
"investigationId": "<string>",
"projectionWatermark": "<string>"
}
}
